<?php
namespace Suprimentos\Logic\FornecedorAtende;
use \Suprimentos\Entities\Reforfil as Tabela;
use \Suprimentos\Repositories\Reforfil;
use \Geral\Util\Ambiente;
use \Setforms2\Shared\Registry;


abstract class OperacoesSQL{

    const MODO_INSERE='N';
    const MODO_DELETE='D';
    const MODO_UPDATE='U';

    //ADICIONA UM ITEM
    public static function insere($nrorg, $cdfilial, $cdforneced, $peridiocidade=''){
        try{

            if($peridiocidade=='')
                Reforfil::insert($nrorg, $cdfilial, $cdforneced);
            else
                Reforfil::insert($nrorg, $cdfilial, $cdforneced, $peridiocidade);


        }catch (\Exeception $e){
            throw $e;
        }
    }

    //APAGA UM ITEM
    public static function delete($nrorg, $cdfilial, $cdforneced){
        try{

            Reforfil::delete($nrorg, $cdfilial, $cdforneced);

        }catch (\Exeception $e){
            throw $e;
        }
    }

    //MODIFICA/ATUALIZA UM ITEM
    public static function modifica($nrorg, $cdfilial, $cdforneced, $peridiocidade=''){
        try{

            Reforfil::update($nrorg, $cdfilial, $cdforneced, $peridiocidade);

        }catch (\Exeception $e){
            throw $e;
        }
    }

    //BUSCA POR UM ITEM
    public static function busca($nrorg, $cdfilial, $cdforneced){
        try{

            $campos=array(  $cdforneced, $cdfilial, $nrorg);

            //Faz a busca no banco de dados
            $busca=\Suprimentos\Entities\Reforfil::getObjectByWhere("CDFORNECED=? AND CDFILIAL=? AND NRORG=?",$campos);

            //Verifca se encontrou algo
            if(!$busca)

                //Se nao encontrou nada, retorna 0.
                return 0;
            else{
                $period=$busca->getCdperientr();
                if(!$period)

                    //Se encontrou algo, mas nao há periodicidade, retorna 1.
                    return 1;
                else

                    //Se encontrou algo, com periodicidade, retorna 2.
                    return 2;
            }
        }catch (\Exception $e){
            throw $e;
        }
    }
}