/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_DESCMENSCIA                                              */
/* Tabela : DESCMENSCIA                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_DESCMENSCIA' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_DESCMENSCIA
GO

CREATE TRIGGER DTULTATU_DESCMENSCIA
ON DESCMENSCIA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'DESCMENSCIA', null, 'CDCIA='+ CDCIA+ ';'+
                                          'CDFILIAL='+ CDFILIAL+ ';'+
                                          'DTDESCCIA='+ CONVERT(CHAR,DTDESCCIA,120)+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE DESCMENSCIA
      SET DTULTATUDESC = GETDATE()
      FROM INSERTED;
   END;
END;
GO

